using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Trust
{
    public partial class Trust : Form
    {
        SqlConn sq = new SqlConn();
        SqlCommand cmd;
        SqlCommand cmd1;
        SqlCommand cmd2;
        SqlDataReader dr;
        SqlCommand cmd3;

        public string ipaddress;
       
        public Trust()
        {
            InitializeComponent();
        }

        private void btnIP_Click(object sender, EventArgs e)
        {

            if (txtIP.Text == "")
            {
                lblError.Text = "";
                lblError.Text = "Enter A valid IP";
            }
            else
            {

                sq.open();
                cmd = new SqlCommand("insert into IP values(@ip)", sq.cn);
                cmd.Parameters.Add(new SqlParameter("@ip", SqlDbType.VarChar));
                cmd.Parameters["@ip"].Value = txtIP.Text;
                cmd.ExecuteNonQuery();
                sq.close();
                txtIP.Text = "";
                lblError.Text = "";
                lblError.Text = "IP Added ";
                btnView.Enabled = true;
                btnUse.Enabled = true;
            }
        }

        private void Trust_Load(object sender, EventArgs e)
        {
            btnView.Enabled = false;
            groupBox1.Visible = false;
            btnUse.Enabled = false;

            sq.open();
            cmd2 = new SqlCommand("select * from IP", sq.cn);
            dr = cmd2.ExecuteReader();
            dr.Read();
            if (dr.HasRows)
            {
                lblMess.Text = "";
                lblMess.Text = "Previous records available";
                btnView.Enabled = true;
                btnUse.Enabled = true;


            }
            else
            {
                lblMess.Text = "";
                lblMess.Text = "No IP found Enter new IP's";
                btnAddNew.Enabled = true;

            }
            dr.Close();
            sq.close();
        }

        private void btnView_Click(object sender, EventArgs e)
        {
            sq.open();
            cmd3 = new SqlCommand("select * from IP", sq.cn);
            dr = cmd3.ExecuteReader();
            while (dr.Read())
            {
                if (dr.HasRows)
                {
                    listBox1.Items.Add(dr[0].ToString());
                }
            }

            dr.Close();
            sq.close();
        }

        private void txtIP_KeyDown(object sender, KeyEventArgs e)
        {
            string[] small = new string[] { "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z" };
            string[] big = new string[] { "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z" };
            for (int i = 0; i <= 25; i++)
            {
                if (e.KeyData.ToString() == small[i] || e.KeyData.ToString() == big[i])
                {
                    MessageBox.Show("Invalid Entry");
                    ipaddress = txtIP.Text;
                    ip();
                    break;
                }
            }
        }
        public void ip()
        {
            string ss = ipaddress;
            int h = ipaddress.Length;
            ss = ss.Substring(0, h - 1);
            txtIP.Text = ss;
        }

        private void txtIP_TextChanged(object sender, EventArgs e)
        {
            lblError.Text = "";
        }

        private void btnAddNew_Click(object sender, EventArgs e)
        {
            sq.open();
            cmd1 = new SqlCommand("delete from IP", sq.cn);
            cmd1.ExecuteNonQuery();
            sq.close();
            lblError.Text = "";
            lblError.Text = "Previous record Deleted";
            groupBox1.Visible = true;
            btnView.Enabled = false;
            btnUse.Enabled = false;
        }

        private void btnUse_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}